"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class HttpException extends Error {
    constructor(statusCode, message, properties) {
        super(message);
        this.statusCode = statusCode;
        this.name = 'HttpException';
        if (typeof properties === 'object') {
            this.properties = properties;
        }
        else {
            this.properties = {};
        }
    }
    sendResponse(res) {
        var _a;
        return res.status(this.statusCode).json(Object.assign({ message: (_a = this.message) !== null && _a !== void 0 ? _a : 'Something went wrong, Please try again', statusCode: this.statusCode }, this.properties));
    }
}
exports.default = HttpException;
